petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatSetFactorType

sets the type of factorization it is

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetFactorType(Mat mat, MatFactorType t)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix
| t | - the type, one of MAT_FACTOR_NONE, MAT_FACTOR_LU, MAT_FACTOR_CHOLESKY, MAT_FACTOR_ILU, MAT_FACTOR_ICC,MAT_FACTOR_ILUDT

### See Also

MatFactorType, MatGetFactor(), MatGetFactorType()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages